Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon
Class Transform

    java.lang.Object
      net.sf.saxon.Transform

Direct Known Subclasses:
  DOMTransform, JDOMTransform, Transform

    public class Transform

extends Object

This Transform class is the entry point to the Saxon XSLT Processor. This class is provided to control the processor from the command line.

The XSLT syntax supported conforms to the W3C XSLT 1.0 and XPath 1.0 recommendation. Only the transformation language is implemented (not the formatting objects). Saxon extensions are documented in the file extensions.html

Author:
  Michael H. Kay

Constructor Summary
`Transform()`

Method Summary
`void` | `doTransform(String[] args, String command)` Support method for main program.
`static Object` | `loadDocuments(String sourceFileName, boolean useURLs, Configuration config, boolean useSAXSource)` Load a document, or all the documents in a directory, given a filename or URL
`static void` | `main(String[] args)` Main program, can be used directly from the command line.
`static long` | `now()` Get current time in milliseconds
`List` | `preprocess(List sources)` Preprocess the list of sources.
`void` | `processDirectory(List sources, Templates sheet, File outputDir, ArrayList parameterList, String initialTemplate, String initialMode)` Process each file in the source directory using the same supplied stylesheet
`void` | `processDirectoryAssoc(List sources, File outputDir, ArrayList parameterList, String initialMode)` Process each file in the source directory using its own associated stylesheet
`void` | `processFile(Source source, Templates sheet, File outputFile, ArrayList parameterList, String initialTemplate, String initialMode)` Process a single file using a supplied stylesheet
`void` | `processFileAssoc(Source sourceInput, String localName, File outputFile, ArrayList parameterList, String initialMode)` Process a single source file using its associated stylesheet(s)
`void` | `setFactoryConfiguration(boolean schemaAware, String className)` Set the configuration in the TransformerFactory.
`void` | `setPOption(Configuration config)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Transform

    public Transform()

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Main program, can be used directly from the command line.

  The format is:

  java net.sf.saxon.Transform [options] source-file style-file >output-file

  followed by any number of parameters in the form {keyword=value}... which can be referenced from within the stylesheet.

  This program applies the XSL style sheet in style-file to the source XML document in source-file.

  Parameters:
    `args` - List of arguments supplied on operating system command line
  Throws:
    `Exception` - Indicates that a compile-time or run-time error occurred

### setFactoryConfiguration

    public void setFactoryConfiguration(boolean schemaAware,
                                        String className)
                                 throws RuntimeException

  Set the configuration in the TransformerFactory. This is designed to be overridden in a subclass

  Parameters:
    `schemaAware` - True if the transformation is to be schema-aware
    `className` - Name of the schema-aware Configuration class to be loaded. Designed for use by .NET; can normally be null.
  Throws:
    `RuntimeException`

### doTransform

    public void doTransform(String[] args,
                            String command)

  Support method for main program. This support method can also be invoked from subclasses that support the same command line interface

  Parameters:
    `args` - the command-line arguments
    `command` - the form of the command as written by the user, to be used in error messages

### preprocess

    public List preprocess(List sources)
                    throws XPathException

  Preprocess the list of sources. This method exists so that it can be overridden in a subclass

  Throws:
    `XPathException`

### loadDocuments

    public static Object loadDocuments(String sourceFileName,
                                       boolean useURLs,
                                       Configuration config,
                                       boolean useSAXSource)
                                throws TransformerException

  Load a document, or all the documents in a directory, given a filename or URL

  Returns:
    if sourceFileName represents a single source document, return a Source object representing that document. If sourceFileName represents a directory, return a List containing multiple Source objects, one for each file in the directory.
  Throws:
    `TransformerException`

### processDirectoryAssoc

    public void processDirectoryAssoc(List sources,
                                      File outputDir,
                                      ArrayList parameterList,
                                      String initialMode)
                               throws Exception

  Process each file in the source directory using its own associated stylesheet

  Parameters:
    `sources` - The sources in the directory to be processed
    `outputDir` - The directory in which output files are to be created
    `parameterList` - List of parameters to be supplied to each transformation
    `initialMode` - Initial mode for executing each transformation
  Throws:
    `Exception` - when any error occurs during a transformation

### processFileAssoc

    public void processFileAssoc(Source sourceInput,
                                 String localName,
                                 File outputFile,
                                 ArrayList parameterList,
                                 String initialMode)
                          throws TransformerException

  Process a single source file using its associated stylesheet(s)

  Parameters:
    `sourceInput` - Identifies the source file to be transformed
    `localName` - The local name of the file within the directory, excluding the file type suffix
    `outputFile` - The output file to contain the results of the transformation
    `parameterList` - List of parameters to be supplied to the transformation
    `initialMode` - Initial mode for executing the transformation
  Throws:
    `XPathException` - If the transformation fails
    `TransformerException`

### now

    public static long now()

  Get current time in milliseconds

### processDirectory

    public void processDirectory(List sources,
                                 Templates sheet,
                                 File outputDir,
                                 ArrayList parameterList,
                                 String initialTemplate,
                                 String initialMode)
                          throws TransformerException

  Process each file in the source directory using the same supplied stylesheet

  Parameters:
    `sources` - The sources in the directory to be processed
    `sheet` - The Templates object identifying the stylesheet
    `outputDir` - The directory in which output files are to be created
    `parameterList` - List of parameters to be supplied to each transformation
    `initialTemplate` - Initial template for executing each transformation
    `initialMode` - Initial mode for executing each transformation
  Throws:
    `XPathException` - when any error occurs during a transformation
    `TransformerException`

### processFile

    public void processFile(Source source,
                            Templates sheet,
                            File outputFile,
                            ArrayList parameterList,
                            String initialTemplate,
                            String initialMode)
                     throws TransformerException

  Process a single file using a supplied stylesheet

  Parameters:
    `source` - The source XML document to be transformed (maybe null if an initial template is specified)
    `sheet` - The Templates object identifying the stylesheet
    `outputFile` - The output file to contain the results of the transformation
    `parameterList` - List of parameters to be supplied to the transformation
    `initialTemplate` - Initial template for executing each transformation
    `initialMode` - Initial mode for executing the transformation
  Throws:
    `XPathException` - If the transformation fails
    `TransformerException`

### setPOption

    public void setPOption(Configuration config)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.